{
  inputs = {
    nixpkgs.url = "https://channels.nixos.org/nixos-24.11/nixexprs.tar.xz";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    flake-parts.url = "github:hercules-ci/flake-parts";
    nixfiles-private = {
      url = "git+ssh://forgejo@git.werkraum-karlsruhe.org/WRK/nixfiles-private?ref=refs/tags/0.0.1";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs: inputs.flake-parts.lib.mkFlake { inherit inputs; }  {
    systems = [
      "x86_64-linux"
    ];
    imports = [
      ./hosts
    ];
  };
}

